Bug 201420 - coredump multithread SMP invalid registers and stack on second thread
coredump multithread SMP invalid registers and stack on second thread
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 19:50 EDT by cc lindsay
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:56:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C source test case: yields a multithreaded core with invalid second thread registers (597 bytes, text/plain)
2006-08-04 19:50 EDT, cc lindsay
no flags Details

  None (edit)
Description cc lindsay 2006-08-04 19:50:39 EDT
Description of problem:
When a multi-threaded application coredumps on an SMP machine, the second
thread's stack and register are invalid.

Version-Release number of selected component (if applicable):
Linux 2.6.11-1.1369_FC4smp
gcc c version 4.0.2 (Red Hat 4.0.2-8)
GNU_LIBC_VERSION                   glibc 2.3.6
GNU_LIBPTHREAD_VERSION             NPTL 2.3.6
GNU gdb 6.5.0.20060626-cvs

How reproducible:

Steps to Reproduce:
1. compile/run attached program and generate a core.
2.use GDB to read the core: switch to the second thread.
3. traceback and/or "info reg"
  
Actual results:

ESP is zero,
traceback is empty.


Expected results:

a reasonable ESP...
Additional info:
SMP may or may not be significant.


It would appear (from objdump) that GDB is reading the core correctly.
Somehow the kernel doesn't seem to be saving the thread's registers correctly?
(OTOH, I could just be an incompetent newbie).
Comment 1 cc lindsay 2006-08-04 19:50:39 EDT
Created attachment 133672 [details]
C source test case: yields a multithreaded core with invalid second thread registers
Comment 2 Dave Jones 2006-09-16 23:10:42 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 20:19:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 17:56:40 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.